Module javafx.graphics
Package javafx.geometry

## Enum Side

- java.lang.Object
- - java.lang.Enum<Side>
  - - javafx.geometry.Side

- All Implemented Interfaces:
    `Serializable`, `Comparable<Side>`, `Constable`

      public enum Side
      extends Enum<Side>

  Enum for which side of a rectangle something should be. This is used for chart titles, axis etc.
  Since:
    JavaFX 2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTTOM` | Represents bottom side of a rectangle.
    `LEFT` | Represents left side of a rectangle.
    `RIGHT` | Represents right side of a rectangle.
    `TOP` | Represents top side of a rectangle.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isHorizontal()` | Indicates whether this is horizontal side of a rectangle (returns `true` for `TOP` and `BOTTOM`.
    `boolean` | `isVertical()` | Indicates whether this is vertical side of a rectangle (returns `true` for `LEFT` and `RIGHT`.
    `static Side` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Side[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final Side TOP

      Represents top side of a rectangle.

    - #### BOTTOM

          public static final Side BOTTOM

      Represents bottom side of a rectangle.

    - #### LEFT

          public static final Side LEFT

      Represents left side of a rectangle.

    - #### RIGHT

          public static final Side RIGHT

      Represents right side of a rectangle.

  - ### Method Detail

    - #### values

          public static Side[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Side valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isVertical

          public boolean isVertical()

      Indicates whether this is vertical side of a rectangle (returns `true` for `LEFT` and `RIGHT`.
      Returns:
        `true` if this represents a vertical side of a rectangle

    - #### isHorizontal

          public boolean isHorizontal()

      Indicates whether this is horizontal side of a rectangle (returns `true` for `TOP` and `BOTTOM`.
      Returns:
        `true` if this represents a horizontal side of a rectangle